/*
 *	$Id: s_gqpa.c,v 1.4 2000/08/22 15:09:02 haley Exp $
 */
/************************************************************************
*                                                                       *
*                Copyright (C)  2000                                    *
*        University Corporation for Atmospheric Research                *
*                All Rights Reserved                                    *
*                                                                       *
* This file is free software; you can redistribute it and/or modify     *
* it under the terms of the GNU General Public License as published     *
* by the Free Software Foundation; either version 2 of the License, or  *
* (at your option) any later version.                                   *
*                                                                       *
* This software is distributed in the hope that it will be useful, but  *
* WITHOUT ANY WARRANTY; without even the implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     *
* General Public License for more details.                              *
*                                                                       *
* You should have received a copy of the GNU General Public License     *
* along with this software; if not, write to the Free Software         *
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307   *
* USA.                                                                  *
*                                                                       *
************************************************************************/

/*
 *  Get pattern size  
 */

#include <ncarg/gks.h>

extern void NGCALLF(gqpa,GQPA)(Gint*,Gfloat*,Gfloat*);

void ginq_pat_size
#ifdef NeedFuncProto
(
    Gint    *err_ind, /* OUT error indicator */
    Gdouble *x_size,  /* OUT x size          */
    Gdouble *y_size   /* OUT y size          */
)
#else
( err_ind, x_size, y_size )
    Gint    *err_ind;
    Gdouble *x_size;
    Gdouble *y_size;
#endif
{
    Gfloat x, y;
    NGCALLF(gqpa,GQPA)(err_ind,&x,&y);
    *x_size = (Gdouble) x;
    *y_size = (Gdouble) y;
}

