/*
 *	$Id: xattribute.h,v 1.3 2000/08/22 03:23:29 haley Exp $
 */
/************************************************************************
*                                                                       *
*                Copyright (C)  2000                                    *
*        University Corporation for Atmospheric Research                *
*                All Rights Reserved                                    *
*                                                                       *
* This file is free software; you can redistribute it and/or modify     *
* it under the terms of the GNU General Public License as published     *
* by the Free Software Foundation; either version 2 of the License, or  *
* (at your option) any later version.                                   *
*                                                                       *
* This software is distributed in the hope that it will be useful, but  *
* WITHOUT ANY WARRANTY; without even the implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     *
* General Public License for more details.                              *
*                                                                       *
* You should have received a copy of the GNU General Public License     *
* along with this software; if not, write to the Free Software          *
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307   *
* USA.                                                                  *
*                                                                       *
************************************************************************/

/*
 *      File:		xattribute.h
 *
 *      Author:		John Clyne
 *			National Center for Atmospheric Research
 *			PO 3000, Boulder, Colorado
 *
 *      Date:		Wed May  1 17:49:30 MDT 1991
 *
 *      Description:	definitions used by xattribute.c
 */
#ifndef	_xattri_
#define	_xattri_

/*	
 *	stuff needed to support line styles in X
 */
#define	DASH_LIST_LEN		2
#define	DOT_LIST_LEN		2
#define	DASHDOT_LIST_LEN	4	
#define	DASHDD_LIST_LEN		6	

#define	DASHSIZE		4
#define	DOTSIZE			1
#define	GAPSIZE			4

#endif	/*	_xattri_	*/
